$(".layui-form-checkbox1").live('click',function(e){
	$(".tools_fangfa").removeClass("tools_fangfa");
	$(this).addClass("tools_fangfa");
})


$(".tools_get_btn").live('click',function(e){
	if($(".tools_get_url_text").val()!=''&&$(".tools_get_peizhi_text").val()!=''&&$(".tools_fangfa").attr("data")!=''){
		if($(".tools_get_url_text").val().indexOf('http')!=-1){
			var get = 'type='+$(".tools_fangfa").attr("data")+'&url='+$(".tools_get_url_text").val()+'&data='+$.base64.btoa($(".tools_get_peizhi_text").val());
			$.post("https://www.daohangtx.com/tools/detail/get/js/get.php",get, function(data) {
				if(data==''){
					data='无返回结果，请检测参数或者提交地址是否正确！';
				}
				re = new RegExp("<", "g");
				var data  = data.replace(re, "&lt;");
				re = new RegExp(">", "g");
				var data  = data.replace(re, "&gt;");
				$(".tools_get_result").html(data);
				$(".tools_get_result").animate({left:"-100px"});
				$(".tools_get_result").animate({left:"100px"});
				$(".tools_get_result").animate({left:"0px"});
			});		
		}else{
			alert('请输入Url提交地址的协议，如http或https');	
		}
	}else{
		alert('请填写好相关的参数再提交！');	
	}
})
